[Pkg-electronics-devel] Bug#505591: FTBFS with GCC 4.4: extended registers have no high halves

Martin Michlmayr tbm at cyrius.com
Thu Nov 13 19:03:16 UTC 2008

Package: gtkwave
Version: 3.1.13-1
User: debian-gcc at lists.debian.org
Usertags: ftbfs-gcc-4.4

Your package fails to build with the upcoming GCC 4.4.  Version 4.4
has not been released yet but I'm building with a snapshot in order
to find errors and give people an advance warning.

You can reproduce this problem with gcc-snapshot from unstable.

> Automatic build of gtkwave_3.1.13-1 on em64t by sbuild/amd64 0.53
> if gcc -DHAVE_CONFIG_H -I. -I. -I../..   -DWAVE_USE_GTK2 -I./.. -I./../.. -g -O2 -MT lxt2_read.o -MD -MP -MF ".deps/lxt2_read.Tpo" -c -o lxt2_read.o lxt2_read.c; \
> 	then mv -f ".deps/lxt2_read.Tpo" ".deps/lxt2_read.Po"; else rm -f ".deps/lxt2_read.Tpo"; exit 1; fi
> lxt2_read.c: In function 'lxt2_rd_iter_radix':
> lxt2_read.c:328: error: extended registers have no high halves
> make[5]: *** [lxt2_read.o] Error 1

I think there are some more errors.

Martin Michlmayr

More information about the Pkg-electronics-devel mailing list